local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/"

dofile(mpcd_path.."MPCD_definitions.lua")
dofile(mpcd_path.."FLIR/FLIR_Video.lua")

-- MENU
local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_font_base
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "FBST"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_font_base
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "MENU"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

-- ALIGNMENT
local	video_az_align				= CreateElement "ceStringPoly"
		video_az_align.name			= "video_az_align"
		video_az_align.material		= mpcd_font_base
		video_az_align.init_pos		= { 0.0, 0.70, 0}
		video_az_align.alignment	= "CenterCenter"
		video_az_align.formats		= {"AZ %2.1f MR"}
		video_az_align.stringdefs	= MPCD_large_font_size
		video_az_align.controllers	= {{"flir_hud_az_align"}}
Add_MPCD_Element(video_az_align)

local	video_el_align				= CreateElement "ceStringPoly"
		video_el_align.name			= "video_el_align"
		video_el_align.material		= mpcd_font_base
		video_el_align.init_pos		= { 0.0, 0.60, 0}
		video_el_align.alignment	= "CenterCenter"
		video_el_align.formats		= {"EL %2.1f MR"}
		video_el_align.stringdefs	= MPCD_large_font_size
		video_el_align.controllers	= {{"flir_hud_el_align"}}
Add_MPCD_Element(video_el_align)

-- SYMBOLS
local	not_ready_warn				= CreateElement "ceStringPoly"
		not_ready_warn.name			= "not_ready_warn"
		not_ready_warn.material		= mpcd_font_base
		not_ready_warn.init_pos		= { 0.0,  -0.40, 0}
		not_ready_warn.alignment	= "CenterCenter"
		not_ready_warn.value		= "NOT READY"
		not_ready_warn.stringdefs	= MPCD_large_font_size
		not_ready_warn.controllers	= {{"navflir_not_ready"}}
Add_MPCD_Element(not_ready_warn)

